## NAME

CURLOPT_PRIVATE - store a private pointer

## SYNOPSIS

#include <curl/curl.h>

CURLcode curl_easy_setopt(CURL *handle, CURLOPT_PRIVATE, void *pointer);

## DESCRIPTION

Pass a void * as parameter, pointing to data that should be associated with this curl handle. The pointer can subsequently be retrieved using curl_easy_getinfo(3) with the CURLINFO_PRIVATE option. libcurl itself never does nothing with this data.

## DEFAULT

NULL

## PROTOCOLS

All

## EXAMPLE

    CURL *curl = curl_easy_init();
    struct private secrets;
    if(curl) {
      struct private *extracted;
      curl_easy_setopt(curl, CURLOPT_URL, "http://example.com");

      /* store a pointer to our private struct */
      curl_easy_setopt(curl, CURLOPT_PRIVATE, &secrets);

      curl_easy_perform(curl);

      /* we can extract the private pointer again too */
      curl_easy_getinfo(curl, CURLINFO_PRIVATE, &extracted);
    }

## AVAILABILITY

Added in 7.10.3

## RETURN VALUE

Returns CURLE_OK if the option is supported, and CURLE_UNKNOWN_OPTION if not.

## SEE ALSO

CURLOPT_VERBOSE, CURLOPT_STDERR

This HTML page was made with roffit.